Больше не могу открыть защищенный паролем Libreoffice .ods

Вы можете исправить отсутствующее контекстное меню. Я предлагаю удалить установленную версию PPA и ppa ( Как удалить PPA, добавленный через командную строку? ), переустановить версию из Ubuntu и следовать инструкциям, которые я получил из сообщенной ошибки: https://bugs.launchpad.net/ubuntu/+source/rabbitvcs/+bug/1093533.

Вам необходимо загрузить следующий файл http://rabbitvcs.googlecode.com/svn/trunk/clients/nautilus-3.0/RabbitVCS.py

Скопировать его (используя root / su / sudo) to:

/usr/share/nautilus-python/extensions/RabbitVCS.py

Вам также может понадобиться создать следующую символическую ссылку:

sudo ln -s /usr/lib/x86_64-linux-gnu/libpython2.7.so.1.0 /usr/lib/libpython2.7.so.1.0

Вам потребуется перезапустить сеанс (журнал и снова в), чтобы увидеть изменения.

1
задан 20.12.2019, 17:48

3 ответа

Со мной тоже случилось после обновления до 3.4.5.

Я также запускаю 3.4.5 на работе над установкой Win XP, и этой проблемы не существует, поэтому это либо проблема, связанная с Linux, либо проблема с упаковкой Ubuntu.

У меня есть только 1 защищенный паролем файл (по иронии судьбы он содержит все мои пароли, которые я сейчас перехожу на keepassx), но, тем не менее, это раздражало. Я обошел его, установив набор каллигра, который откроет их. Бесполезно делиться с пользователями MS, так как он не будет сохранять в текстовом формате, но, по крайней мере, вы сможете открывать файлы и повторно сохранять их с паролями, если придерживаться odf.

0
ответ дан 20.12.2019, 17:49

Кажется, ошибка не будет устранена. В любом случае, есть обходной путь, как описано в панели запуска: очистите и переустановите libreoffice. Я сделал это и работал на меня. Надеюсь, это поможет.

0
ответ дан 20.12.2019, 17:50
0
ответ дан 20.12.2019, 17:50

Теги

Похожие вопросы